#include <main.h>
#include <arch/bit.h>

namespace kernel {

/**
 * These two variables are defined in ld script
 */
extern UPointer startCtors;
extern UPointer endCtors;

static void constructGlobalObjects() {
	for (UPointer* call = &startCtors; call < &endCtors; ++call) {
		/**
		 * Converts what call points to to a function pointer, then call this
		 * function pointer. The function pointer is of type void (*)(void)
		 */
		((void (*)(void))(*call))();
	}
}

void startKernel(void) {
	constructGlobalObjects();
	main();
}

} /* namespace kernel */
