#ifndef __KERNEL_SYSTEM_H__
#define __KERNEL_SYSTEM_H__

namespace kernel {

class System {
public:
	/**
	 * \brief Initialize the CPU
	 * 
	 * \description This static method will initialize the CPU, including
	 * GDT, IDT and TSS
	 */
	static void initProcessor();
	
private:
	static void loadInterruptDescriptorTable();
	static void loadTaskStateRegister();
	static void enableInerrupt();
};

} /* namespace kernel */

#endif
