#ifndef __KERNEL_BIT_H__
#define __KERNEL_BIT_H__

namespace kernel {

typedef signed char I8;
typedef unsigned char U8;
typedef signed short I16;
typedef unsigned short U16;
typedef signed int I32;
typedef unsigned int U32;
typedef signed long I64;
typedef unsigned long U64;
typedef unsigned long UPointer;

void inline setBit(void* buffer, int bit) {
	((char*)buffer)[bit / 8] |= 1 << (bit % 8);
}

void inline clearBit(void* buffer, int bit) {
	((char*)buffer)[bit / 8] &= ~(1 << (bit % 8));
}

} /* namespace kernel */

#endif
