#ifndef __KERNEL_MAIN_H__
#define __KERNEL_MAIN_H__

namespace kernel {

/**
 * \brief Entry point of the kernel.
 * 
 * \description This function should be called when the following are all
 * initialized:
 * # CPU, including GDT, IDT, TSS, TR.
 * # Kernel heap.
 * # Global objects.
 * # Exception.
 */
void main(void);

}

#endif

